function f=dincpo(z, p)

%Asignacin de parmetros

aT = p(1);

aN = p(2);

alphaT = p(3);

alphaN = p(4);

gamma = p(5);

G = p(6);

rho = p(7);

theta = p(8);

epsilon = p(9);

delta = p(10);

beta = p(11);

bss = p(12);

T = p(13);

kT0 = p(14);

kN0 = p(15);

%Asignacin de variables

for t=1:T-1

kT(t) = z(3*t-2);

kN(t) = z(3*t-1);

b(t+1) = z(3*t);

end

kT(T) = z(3*t+1);

kN(T) = z(3*t+2);

r = 1/beta-1;

mpkT(1) = aT*alphaT*kT(1)^(alphaT-1);

mpkN(1) = aN*alphaN*kN(1)^(alphaN-1);

pN(1) = mpkT(1)/mpkN(1);

ratx(1) = gamma*pN(1)/(1-gamma);

xN(1) = (kT(2)+kN(2)-(1-delta)*(kT(1)+kN(1)))/(G*ratx(1)^gamma);

xT(1) = ratx(1)*xN(1);

q(2) = ratx(1)^(1-gamma)/(G*gamma);

yT(1) = aT*kT(1)^alphaT;

yN(1) = aN*kN(1)^alphaN;

cN(1) = yN(1)-xN(1);

cT(1) = ((1-epsilon)/(epsilon*pN(1)))^(1/(rho-1))*cN(1);

u(1) = theta*(epsilon*cT(1)^rho+(1-epsilon)*cN(1)^rho)^(theta/rho-1);

for t=2:T-1

mpkT(t) = aT*alphaT*kT(t)^(alphaT-1);

mpkN(t) = aN*alphaN*kN(t)^(alphaN-1);

pN(t) = mpkT(t)/mpkN(t);

ratx(t) = gamma*pN(t)/(1-gamma);

xN(t) = (kT(t+1)+kN(t+1)-(1-delta)*(kT(t)+kN(t)))/(G*ratx(t)^gamma);

xT(t) = ratx(t)*xN(t);

q(t+1) = ratx(t)^(1-gamma)/(G*gamma);

yT(t) = aT*kT(t)^alphaT;

yN(t) = aN*kN(t)^alphaN;

cN(t) = yN(t)-xN(t);

cT(t) = ((1-epsilon)/(epsilon*pN(t)))^(1/(rho-1))*cN(t);

u(t) = theta*(epsilon*cT(t)^rho+(1-epsilon)*cN(t)^rho)^(theta/rho-1);

end

kss = kT(T)+kN(T);

mpkTss = aT*alphaT*kT(T)^(alphaT-1);

mpkNss = aN*alphaN*kN(T)^(alphaN-1);

pNss = mpkTss/mpkNss;

ratxss = gamma*pNss/(1-gamma);

xNss = delta*kss/(G*ratxss^gamma);

xTss = ratxss*xNss;

qss = ratxss^(1-gamma)/(G*gamma);

yTss = aT*kT(T)^alphaT;

yNss = aN*kN(T)^alphaN;

cNss = yNss-xNss;

cTss = ((1-epsilon)/(epsilon*pNss))^(1/(rho-1))*cNss;

cT(T) = cTss;

cN(T) = cNss;

u(T) = theta*(epsilon*cT(T)^rho+(1-epsilon)*cN(T)^rho)^(theta/rho-1);

f(1) = kT0+kN0-kT(1)-kN(1);

f(2) = cT(1)+xT(1)+b(2)-aT*kT(1)^alphaT-(1+r)*b(1);

f(3) = u(1)*epsilon*rho*cT(1)^(rho-1)-u(2)*epsilon*rho*cT(2)^(rho-1);

for t=2:T-1

f(3*t-2)= aT*alphaT*kT(t)^(alphaT-1)+q(t+1)*(1-delta)-q(t)*(1+r);

f(3*t-1) = cT(t)+xT(t)+b(t+1)-aT*kT(t)^alphaT-(1+r)*b(t);

f(3*t) =u(t)*epsilon*rho*cT(t)^(rho-1)-u(t+1)*epsilon*rho*cT(t+1)^(rho-1);

end

f(3*t+1) = mpkTss-qss*(r+delta);

f(3*t+2) = yTss+r*b(T)-cT(T)-xTss;

f=f';